## bind 9.13.3

=== debian/changelog ===
bind (1:9.13.3-1) experimental; urgency=medium

  * New upstream version 9.13.3
  * Rebase patches for BIND 9.13.3

 -- Ondřej Surý <ondrej@debian.org>  Mon, 10 Sep 2018 08:13:47 +0000

bind (1:9.13.3~400-g47066d3d01-1) experimental; urgency=medium

  * New upstream version 9.13.3~400-g47066d3d01

 -- Ondřej Surý <ondrej@debian.org>  Fri, 31 Aug 2018 12:47:48 +0000

bind (1:9.13.3~398-g5c00162f54-1) experimental; urgency=medium

  [ Bernhard Schmidt ]
  * Enable IDN support for dig+host using libidn2 (Closes: #459010)
  * Use root.hints from dns-root-data (Closes: #888491)
  * Adjust apparmor profile for dns-root-data
  * Fix missing colon in AppArmor profile (Closes: #904983)
  * d/watch: Properly deal with -P patch releases

  [ Timo Aaltonen ]
  * skip-rtld-deepbind-for-dyndb.diff: Add a patch to fix named-pkcs11 crashing on startup. (LP: #1769440)

  [ Ondřej Surý ]
  * New upstream version 9.13.3~398-g5c00162f54
  * Rebase patches for new upstream snapshot release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 31 Aug 2018 11:39:51 +0000

bind (1:9.13.2-1~exp0) experimental; urgency=medium

  * Don't repack, all non-free files are gone from BIND 9.13
  * New upstream version 9.13.2
  * Rebase patches for BIND 9.13.2
  * Stop providing bind-dev package and checking for symbols, they are not
    tightly coupled with rest of the package.
  * Add docbook-xsl and docbook-xml to Build-Depends
  * Add pkg-config to Build-Depends and cleanup versioned Build-Depends
  * Enable dnstap support (Courtesy of Richard James Salts)
  * Remove auth-nxdomain no; from named.conf.options (Closes: #896889)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 17 Jul 2018 11:15:07 +0000

bind (1:9.13.1+dfsg-1) experimental; urgency=medium

  * New upstream version 9.13.1+dfsg
  * d/watch: Always package the latest version
  * d/patches: Remove 0003-Add-min-cache-ttl-and-min-ncache-ttl-keywords.patch,
    so we less divert from upstream
  * d/patches: Refresh patches on top of BIND 9.13.1

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Jun 2018 08:10:49 +0000

bind (1:9.12.0+dfsg-1~exp1) experimental; urgency=medium

  * Move to standard master/upstream/pristine-tar branching
  * Add /etc/default/bind file to bind package
  * Don't fail the systemd unit if /etc/default/bind doesn't exist

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Jan 2018 14:16:43 +0000

bind (1:9.12.0+dfsg-1~exp0) experimental; urgency=medium

  * New upstream version 9.12.0+dfsg
  * Rename bind9 to just bind, and merge all shared libraries into bind-libs.
  * Update Vcs-* links to salsa.d.o
  * Update d/watch and d/gbp.conf for BIND 9.12
  * Remove export version of the libraries; we really need to deprecate ISC-DHCP in buster+1
  * d/patches changes:
   + Convert 02_version.diff to sed rule in d/rules
   + Remove the extra native-pkcs11 patch that double builds everything; a solution with OpenSSL engines is far more suitable and less intrusive
   + Remove stdatomic.h patches; already merged upstream into BIND 9.12
   + Refresh all the other patches for BIND 9.12.0
   + Fix the min-(n)cache-ttl patch for BIND 9.12
  * Remove isc-hmac-fixup from bind package
  * Remove man3 from bind-dev package as they are not installed
  * Add dnssec-cds to bind-utils package
  * Update missing and new symbols for BIND 9.12

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Jan 2018 09:18:13 +0000

bind9 (1:9.11.2.P1-1) unstable; urgency=medium

  * New upstream version 9.11.2-P1
  * Refresh patches for new release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Jan 2018 06:06:04 +0000

bind9 (1:9.11.2+dfsg-10) unstable; urgency=medium

  * Disable lmdb usage in export version of libraries (Closes: #887407)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Jan 2018 05:59:31 +0000

bind9 (1:9.11.2+dfsg-9) unstable; urgency=medium

  * Fix various mistakes in bind9 conffiles (Closes: #887398)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Jan 2018 23:12:43 +0000

bind9 (1:9.11.2+dfsg-8) unstable; urgency=medium

  * Pull more stdatomic patch to fix builds on 32-bit architectures
  * Remove extra native pkcs11 patch (it has been replaced by sed rules)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Jan 2018 21:02:30 +0000

bind9 (1:9.11.2+dfsg-7) unstable; urgency=medium

  * Pull upstream patch to use C11 stdatomic where available (Closes: #778720)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Jan 2018 15:59:48 +0000

bind9 (1:9.11.2+dfsg-6) unstable; urgency=medium

  * Add named-nzd2nzf to bind9 package
  * Simplify installation rules
  * Enable lmdb (to actually build named-nzd2nzf)
  * Move delv from bind9 to dnsutils package (Closes: #887326)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Jan 2018 14:19:31 +0000

bind9 (1:9.11.2+dfsg-5) unstable; urgency=medium

  * Remove duplicate invoke-rc.d start invocation (Closes: #883575)
  * Don't fail in postrm when /var/lib/bind cannot be removed (Closes: #882999)
  * Use dh-apparmor for profile management
  * apparmor-profile: allow changing thread name (Closes: #883228)
  * Bump debhelper compat level to 10
  * Bump Standards-Version to 4.1.2, no changes necessary

 -- Bernhard Schmidt <berni@debian.org>  Sun, 10 Dec 2017 20:23:12 +0100

bind9 (1:9.11.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix symlinks in libbind-export-dev to point to /lib (Closes: #883536)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 05 Dec 2017 00:09:25 +0100

bind9 (1:9.11.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Only install files into bind9:any on arch-any builds (Closes: #883448)
  * Adjust dependencies for udeb packages (Closes: #883449)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 04 Dec 2017 10:56:58 +0100

bind9 (1:9.11.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Workaround for FTBFS on binary-any builds (Closes: #883159)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 03 Dec 2017 20:36:32 +0100

bind9 (1:9.11.2+dfsg-1) unstable; urgency=low

  * d/watch: Bump the BIND version to 9.11.x

