=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing -fno-delete-null-pointer-checks -DNO_VERSION_DATE -DDIG_SIGCHASE

export DPKG_GENSYMBOLS_CHECK_LEVEL := 4

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

export arch = $(DEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
EXTRA_FEATURES=--disable-linux-caps
endif

SED_VERSION_EXTENSIONS := \
	sed -e 's,^EXTENSIONS=,EXTENSIONS="$$(dpkg-parsechangelog --file=../debian/changelog | sed -n '/^Version/s/[^-]*//p')-$$(dpkg-vendor --query Vendor)",'

%:
	dh $@ --with python3 --fail-missing --exclude=.la --exclude=lwresd --exclude=__pycache__

prepare_version_extensions:
	if [ ! -f version.bak ]; then \
	  mv version version.bak; \
	  $(SED_VERSION_EXTENSIONS) < version.bak > version; \
	fi

clean_version_extensions:
	if [ -f version.bak ]; then \
	  mv version.bak version; \
	fi

override_dh_autoreconf: prepare_version_extensions
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -B build -- \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--sysconfdir=/etc/bind \
		--with-python=python3 \
		--localstatedir=/ \
		--enable-threads \
		--enable-largefile \
		--with-libtool \
		--enable-shared \
		--enable-static \
		--with-gost=no \
		--with-openssl=/usr \
		--with-gssapi=/usr \
		--with-libidn2 \
		--with-libjson=/usr \
		--with-lmdb=/usr \
		--with-gnu-ld \
		--with-geoip=/usr \
		--with-atf=no \
		--enable-ipv6 \
		--enable-rrl \
		--enable-filter-aaaa \
		--disable-static \
		--disable-native-pkcs11 \
		--enable-dnstap \
		$(EXTRA_FEATURES)
	cp lib/dns/dnstap.proto build/lib/dns

override_dh_auto_build:
	dh_auto_build -B build

override_dh_auto_clean: clean_version_extensions
	dh_auto_clean -B build

override_dh_auto_install:
	dh_auto_install -B build --destdir=$(CURDIR)/debian/tmp
	-rm -r $(CURDIR)/debian/tmp/usr/include
	-rm $(CURDIR)/debian/tmp/usr/lib/*/*.so \
	    $(CURDIR)/debian/tmp/usr/lib/*/*.a \
	    $(CURDIR)/debian/tmp/usr/bin/isc-config.sh

override_dh_install:
	dh_install --exclude=.la --exclude=lwresd --exclude=__pycache__ --fail-missing
	# Install apparmor profile
	dh_apparmor -pbind --profile-name=usr.bin.named

override_dh_systemd_enable:
	dh_systemd_enable -pbind --no-enable --name=bind-resolvconf bind-resolvconf.service
	dh_systemd_enable -pbind bind.service

.PHONY: prepare_version_extensions clean_version_extensions
